HeapUnionFind< V, IM, Comp >::ItemIt Class Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
HeapUnionFind< V, IM, Comp >::ItemIt Class Reference

## Detailed Description

### template<typename V, typename IM, typename Comp = std::less<V>>
class lemon::HeapUnionFind< V, IM, Comp >::ItemIt

ClassIt is a lemon style iterator for the components. It iterates on the items of a class. By example if you want to iterate on each items of each classes then you may write the next code.

* for (ClassIt cit(huf); cit != INVALID; ++cit) {
* std::cout << "Class: ";
* for (ItemIt iit(huf, cit); iit != INVALID; ++iit) {
* std::cout << toString(iit) << ' ' << std::endl;
* }
* std::cout << std::endl;
* }
*

`#include <lemon/unionfind.h>`

## Public Member Functions
| ItemIt ()
| Default constructor. More...
ItemIt & | operator++ ()
| Increment operator. More...
| operator const Item & () const
| Conversion operator. More...
bool | operator== (const ItemIt &i)
| Equality operator. More...
bool | operator!= (const ItemIt &i)
| Inequality operator. More...
bool | operator== (Invalid)
| Equality operator. More...
bool | operator!= (Invalid)
| Inequality operator. More...

## Constructor & Destructor Documentation

ItemIt | ( |  | ) |
| inline

Default constructor

## Member Function Documentation

ItemIt& operator++ | ( |  | ) |
| inline

It steps to the next item in the class.

operator const Item & | ( |  | ) | const
| inline

It converts the iterator to the current item.

bool operator== | ( | const ItemIt & | i | ) |
| inline

Equality operator

bool operator!= | ( | const ItemIt & | i | ) |
| inline

Inequality operator

bool operator== | ( | Invalid |  | ) |
| inline

Equality operator

bool operator!= | ( | Invalid |  | ) |
| inline

Inequality operator